Eclipse stürzt ab (reproduzierbar, nur Android-SDK-Version)

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

  • Eclipse stürzt ab (reproduzierbar, nur Android-SDK-Version)

    Hallo,

    ich versuche derzeit, eine einfache Android-App zu schreiben. Jedoch scheitere ich daran, dass Eclipse immer dann abstürzt, wenn ich den Punkt-Operator verwende. Wenn ich in einer import-Zeile neben einem package-Namen einen Punkt mache, um die Klasse anzusprechen: Crash. Wenn ich bei einem erzeugten Objekt einen Punkt mache, um auf die Methoden zuzugreifen: Crash.

    Ich verwende Ubuntu 14.04. und das Eclipse ausserhalb des ADT-Bundles funktioniert für Desktop-Anwendungen usw. einwandfrei. Meine installierte Java-Version ist 1.7.0_65 (OpenJDK). Das ADT-Bundle habe ich letzte Woche runtergeladen.

    Wenn ich den Quellcode extern editiere, dann kann ich das Eclipse-Projekt öffnen und die App auf meinem Galaxy-Tab und auch auf einer virtuellen Maschine ohne Probleme starten.

    Ich habe das Problem in diesem Video dokumentiert:

    ( youtube.com/watch?v=89CeUPvOS0Y )

    [/size][size=10]89CeUPvOS0Y[/size][size=10]



    Kann mir von Euch jemand weiterhelfen?


    Danke schonmal vorab?




    Martin
  • Das Problem liegt an Lint und sollte eigentlich behoben worden sein:
    code2care.org/pages/solution-r…llpointerexception-error/

    Falls das dann immernoch nicht geht, würde ich überlegen auf die jetzt offizielle IDE Android Studio zu wechseln, da das ADT nicht mehr weiterentwickelt wird.
    MfG,
    Christopher

    Eine gewisses Maß an Freundlichkeit kann man auch von Menschen im Internet erwarten.
    Das Forum basiert komplett auf der Freiwilligkeit ihrer Nutzer und diese sollen sich wohlfühlen! Daher seid bitte freundlich. Danke